## akonadi4 1.13.0

=== qsqlite/CMakeLists.txt ===
set(QSqlite_SRCS
  src/sqlite_blocking.cpp
  src/qsql_sqlite.cpp
  src/smain.cpp
)

message(STATUS "Building QSQLITE3 driver")

if(INSTALL_QSQLITE_IN_QT_PREFIX)
  set(QSQLITE_INSTALL_PREFIX "${QT_PLUGINS_DIR}/sqldrivers")
else()
  set(QSQLITE_INSTALL_PREFIX "${LIB_INSTALL_DIR}/plugins/sqldrivers")
endif()

add_definitions(-Wall)
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  ${SQLITE_INCLUDE_DIR}
)

if(AKONADI_STATIC_SQLITE)
  add_definitions(-DQT_STATICPLUGIN)
  add_library(qsqlite3 STATIC ${QSqlite_SRCS} ${QSqlite_MOC_SRCS})
else()
  add_library(qsqlite3 SHARED ${QSqlite_SRCS} ${QSqlite_MOC_SRCS})
endif()

target_link_libraries(qsqlite3 ${QT_QTCORE_LIBRARY} ${QT_QTSQL_LIBRARY})

if(SQLITE_LINK_STATIC)
  message(STATUS "SQlite ${SQLITE_STATIC_LIBRARIES}")
  target_link_libraries(qsqlite3 ${SQLITE_STATIC_LIBRARIES})
else()
  message(STATUS "SQlite ${SQLITE_LIBRARIES}")
  target_link_libraries(qsqlite3 ${SQLITE_LIBRARIES})
endif()

INSTALL(TARGETS qsqlite3
  RUNTIME DESTINATION ${QSQLITE_INSTALL_PREFIX}
  LIBRARY DESTINATION ${QSQLITE_INSTALL_PREFIX}
  ARCHIVE DESTINATION ${QSQLITE_INSTALL_PREFIX}
)

=== server/src/CMakeLists.txt ===
add_subdirectory(storage)

=== debian/changelog ===
akonadi4 (1.13.0-12) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Remove not useful packaging files:
    - install/man/etc files for binaries not built anymore
    - TODO file: this source will not get further development
    - NEWS & README.Debian: specific for the daemon, not for the library
    - unused *.acc files
  * Remove trailing whitespaces in changelog.
  * Remove the unused libsoprano-dev, and libsqlite3-dev build dependencies.
  * Pass -DAKONADI_BUILD_TESTS=OFF to cmake to disable the build of the tests,
    since the test suite is not run.
  * Small fixes to copyright.
  * Update lintian overrides.
  * Use https in watch file (for what it worth it...).
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879289)
  * Bump Standards-Version to 4.1.5.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Jul 2018 08:01:14 +0200

akonadi4 (1.13.0-11) unstable; urgency=medium

  * Drop mysql build dependency, it's only used at runtime, and we are not
    shipping the backends anymore.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Nov 2016 18:28:58 +0100

akonadi4 (1.13.0-10) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Jul 2016 17:43:20 +0200

akonadi4 (1.13.0-9) experimental; urgency=medium

  * Drop akonadi-server and backends in favor of the kf5 versions.
  * Disable autopkgtests
  * Update the not-installed file

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jun 2016 15:03:36 +0200

akonadi (1.13.0-8) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Aug 2015 00:41:28 +0200

akonadi (1.13.0-7) unstable; urgency=medium

  * Team upload.
  * Removed some patches introduced in previous upload due to regressions
    causing invalid SQL commands.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 12:30:32 +1000

akonadi (1.13.0-6) unstable; urgency=medium

  * Team upload.
  * New "upstream-MOVEcomplete.patch" (fixes deadlock).
  * Bunch of optimisation patches from upstream 1.13 branch.
  * Install "akonadictl.1" man page.
  * copyright: reviewed, converted to copyright-format-1.0 and updated.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 03:26:42 +1000

akonadi (1.13.0-5) unstable; urgency=medium

  * Team upload.
  * New upstream patches:
    + upstream-use-QAtomicInt.patch
    + upstream-prevent-QTimer-negative-interval.patch
  * Initialise PSQL database with "--data-checksums" (Closes: #791807).
  * Build-Depends: removed "mysql-server-core" (not needed on build time).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jul 2015 20:31:33 +1000

akonadi (1.13.0-4) unstable; urgency=medium

  * Team upload.
  * backend-mysql: depend on MySQL-5.6 or any MySQL flavour (Closes: #746651)
    Depends:
    - mysql-server-core-5.5 | mysql-server-core
    + mysql-server-core-5.6 | virtual-mysql-server-core
  * Standards-Version: 3.9.6.
  * xs-testsuite-header-in-debian-control: removed "XS-Testsuite" header.
  * Updated Vcs-Browser URL.
  * Patches renamed to consistently end with ".patch".
  * New patch to add PostgreSQL 9.4 search path (Closes: #791805).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jul 2015 23:56:38 +1000

akonadi (1.13.0-3) unstable; urgency=medium

  * Team upload.
  * Apply upstream_dont_leak_old_external_payload_files.patch which fixes a bug
    that let old files be kept when they should be removed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 30 Jun 2015 12:03:32 -0300

akonadi (1.13.0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Bump the priority of all the binaries, except akonadi-dbg, to optional
    (as other packages depend on them).

  [ Maximiliano Curia ]
  * New upstream patch: upstream-fix_typo_in_if_condition
  * New upstream patch: upstream-
    fix_buffer_overflow_in_AKTEST_FAKESERVER_MAIN
  * New upstream patch: upstream-
    do_not_crash_when_setmntent_returns_NULL
  * Update symbols files from buildds logs (1.13.0-1).
  * New upstream patch: upstream_dont_call_insert_from_Q_ASSERT
  * libakonadi-dev: Add libqt4-dev Dependency.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Sep 2014 11:04:57 +0200

akonadi (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patches.
  * Update symbols file.
  * Add missing breaks for kdepim-runtime << 4:4.13. (Closes: #749776)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Aug 2014 21:01:28 +0200

akonadi (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 1.12.0 version.
  * New upstream patch: upstream_1.12-Use-per-thread-
    QDBusConnections.patch
  * New upstream patch: upstream_1.12-Remove-the-invalid-GID-part-from-
    PartTable-before-st.patch
  * New upstream patch: upstream_1.12-Fix-retrieving-of-GID-from-SQL-
    query-result-in-Fetch.patch

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 May 2014 17:19:48 +0200

akonadi (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: dont_do_redundant_flag_changes.diff
  * Remove patch: always_verify_writing_data_to_external_file.diff
  * Remove patch: correctly_detect_inter-resource_moves.diff
  * Update install files.
  * Remove old abi information, update acc file.
  * Update symbols from 1.11.0.
  * Update symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Apr 2014 15:37:32 +0200

akonadi (1.11.0-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Update subst var for akonadi-backend-mysql.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream patch: dont_do_redundant_flag_changes.diff
  * New upstream patch: always_verify_writing_data_to_external_file.diff
  * Update symbols file.
  * Update install files.
  * New upstream patch: correctly_detect_inter-resource_moves.diff.



=== debian/control ===
Source: akonadi4
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: automoc,
               cmake (>= 2.8.8),
               debhelper (>= 9),
               libboost-program-options-dev,
               libdbus-1-dev,
               libqt4-dev (>= 4:4.8.0),
               libxslt-dev,
               pkg-kde-tools (>= 0.12),
               shared-mime-info (>= 0.20),
               xsltproc
Standards-Version: 4.1.5
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi/tree/akonadi4
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi.git -b akonadi4

Package: libakonadiprotocolinternals1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libakonadiprivate1 (<< 1.4.90)
Breaks: kdepim-runtime (<< 4:4.13), libakonadiprivate1 (<< 1.4.90)
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libakonadi-dev
Section: libdevel
Architecture: any
Depends: libakonadiprotocolinternals1 (= ${binary:Version}),
         libboost-dev,
         libqt4-dev (>= 4:4.8.0),
         ${misc:Depends}
Conflicts: libkf5akonadiserver-dev
Suggests: pkg-config
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))

override_dh_auto_configure:
	$(overridden_command) -- \
	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON \
	    -DAKONADI_BUILD_TESTS=OFF \
	    -DCONFIG_INSTALL_DIR=/etc

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_strip:
	$(overridden_command) --dbgsym-migration='akonadi-dbg (<= 1.13.0-9~~)'

override_dh_auto_test:
	# Avoid tests extra build dependencies, check them with autopkgtests

=== debian/watch ===
version=3
https://download.kde.org/stable/akonadi/src/akonadi-([\d.]+)\.tar\.(?:bz2|xz)
